org.apache.ignite.internal.processors.hadoop

## Class HadoopTaskInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.HadoopTaskInfo

All Implemented Interfaces:
  Externalizable, Serializable

    public class HadoopTaskInfo
    extends Object
    implements Externalizable

Task info.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HadoopTaskInfo()` For `Externalizable`.
`HadoopTaskInfo(HadoopTaskType type, HadoopJobId jobId, int taskNum, int attempt, HadoopInputSplit inputSplit)` Creates new task info.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `attempt()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `hasMapperIndex()`
`HadoopInputSplit` `inputSplit()`
`HadoopJobId` `jobId()`
`int` `mapperIndex()`
`void` `mapperIndex(int mapperIdx)`
`void` `readExternal(ObjectInput in)`
`int` `taskNumber()`
`String` `toString()`
`HadoopTaskType` `type()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HadoopTaskInfo

    public HadoopTaskInfo()

For `Externalizable`.

#### HadoopTaskInfo

    public HadoopTaskInfo(HadoopTaskType type,
                          HadoopJobId jobId,
                          int taskNum,
                          int attempt,
                          @Nullable
                          HadoopInputSplit inputSplit)

Creates new task info.

Parameters:
  `type` - Task type.
  `jobId` - Job id.
  `taskNum` - Task number.
  `attempt` - Attempt for this task.
  `inputSplit` - Input split.

### Method Detail

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### type

    public HadoopTaskType type()

Returns:
  Type.

#### jobId

    public HadoopJobId jobId()

Returns:
  Job id.

#### taskNumber

    public int taskNumber()

Returns:
  Task number.

#### attempt

    public int attempt()

Returns:
  Attempt.

#### mapperIndex

    public void mapperIndex(int mapperIdx)

Parameters:
  `mapperIdx` - Current mapper index.

#### mapperIndex

    public int mapperIndex()

Returns:
  Current mapper index or `null`

#### hasMapperIndex

    public boolean hasMapperIndex()

Returns:
  `True` if mapped index is set.

#### inputSplit

    @Nullable
    public HadoopInputSplit inputSplit()

Returns:
  Input split.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018